/*
DESCRIPTION:
Any functions that are used internally by the use-case
*/
package vclaimsepcontrolletter

import (
	e "simrs-vx/internal/domain/bpjs-entities/vclaim-sep-control-letter"
)

func setData[T *e.CreateDto | *e.UpdateDto](input T, data *e.VclaimSepControlLetter) {
	var inputSrc *e.CreateDto
	if inputT, ok := any(input).(*e.CreateDto); ok {
		inputSrc = inputT
	} else {
		inputTemp := any(input).(*e.UpdateDto)
		inputSrc = &inputTemp.CreateDto
	}

	data.VclaimSep_Number = inputSrc.VclaimSep_Number
	data.Number = inputSrc.Number
	data.Value = inputSrc.Value
	data.FileUrl = inputSrc.FileUrl
}
